package com.yuchen.saas.park.service.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
public class PeopleConfig {
    /**
     * VIP code
     */
    @Value("${people.code-10000}")
    String code10000;
    /**
     * 内部人员code
     */
    @Value("${people.code-10001}")
    String code10001;
    /**
     * 访客
     */
    @Value("${people.code-10002}")
    String code10002;
    /**
     * 陌生人
     */
    @Value("${people.code-10003}")
    String code10003;
    /**
     * 高频人员
     */
    @Value("${people.code-10004}")
    String code10004;
    /**
     * 体温分界温度
     */
    @Value("${people.temperature}")
    String temperature;
    /**
     * 0
     */
    @Value("${people.zero}")
    String zero;

    public String getCode10000() {
        return code10000;
    }

    public void setCode10000(String code10000) {
        this.code10000 = code10000;
    }

    public String getCode10001() {
        return code10001;
    }

    public void setCode10001(String code10001) {
        this.code10001 = code10001;
    }

    public String getCode10002() {
        return code10002;
    }

    public void setCode10002(String code10002) {
        this.code10002 = code10002;
    }

    public String getCode10003() {
        return code10003;
    }

    public void setCode10003(String code10003) {
        this.code10003 = code10003;
    }

    public String getCode10004() {
        return code10004;
    }

    public void setCode10004(String code10004) {
        this.code10004 = code10004;
    }

    public String getTemperature() {
        return temperature;
    }

    public void setTemperature(String temperature) {
        this.temperature = temperature;
    }

    public String getZero() {
        return zero;
    }

    public void setZero(String zero) {
        this.zero = zero;
    }

    @Override
    public String toString() {
        return "PeopleConfig{" +
                "code10000='" + code10000 + '\'' +
                ", code10001='" + code10001 + '\'' +
                ", code10002='" + code10002 + '\'' +
                ", code10003='" + code10003 + '\'' +
                ", code10004='" + code10004 + '\'' +
                ", temperature='" + temperature + '\'' +
                ", zero='" + zero + '\'' +
                '}';
    }
}
